import { SetTy } from '../types';
export declare class Set<T> implements SetTy<T> {
    private bst;
    constructor();
    /**
     * Adds a value to the set if it's not already present
     */
    insert(value: T): void;
    /**
     * Checks if a value exists in the set
     */
    find(value: T): boolean;
    /**
     * Removes a value from the set
     */
    remove(value: T): void;
    /**
     * Removes all elements from the set
     */
    clear(): void;
    /**
     * Returns true if the set contains no elements
     */
    empty(): boolean;
    /**
     * Returns the number of elements in the set
     */
    size(): number;
}
